[SCM] morituri/master: * AUTHORS: * Makefile.am: * NEWS: * TODO: * autogen.sh: * configure.ac: * examples/ARcalibrate.py: * misc/Makefile.am: * misc/morituri-uninstalled: * morituri.spec.in: * morituri/Makefile.am: * morituri/common/Makefile.am: * morituri/common/logcommand.py: * morituri/extern/Makefile.am: * morituri/rip/Makefile.am: * morituri/rip/__init__.py: * morituri/rip/main.py: * morituri/test/Makefile: * morituri/test/Makefile.am: * configure.ac (added): * AUTHORS (added): * morituri.spec.in (added): * Makefile.am (added): * morituri/test/Makefile.am (added): * morituri/extern/Makefile.am (added): * morituri/common/logcommand.py (added): * morituri/common/Makefile.am (added): * morituri/Makefile.am (added): * morituri/rip (added): * morituri/rip/__init__.py (added): * morituri/rip/Makefile.am (added): * morituri/rip/main.py (added): * misc/Makefile.am (added): * misc/morituri-uninstalled (added): * autogen.sh (added): * NEWS (added): Start autotooling. Add a command-line application.

js at users.alioth.debian.org js at users.alioth.debian.org
Sun Oct 19 20:09:01 UTC 2014


The following commit has been merged in the master branch:
commit a35b4d4a0138a79e6a61016a25cfe74cd225cbb9
Author: Thomas Vander Stichele <thomas (at) apestaart (dot) org>
Date:   Fri May 22 20:08:16 2009 +0000

    	* AUTHORS:
    	* Makefile.am:
    	* NEWS:
    	* TODO:
    	* autogen.sh:
    	* configure.ac:
    	* examples/ARcalibrate.py:
    	* misc/Makefile.am:
    	* misc/morituri-uninstalled:
    	* morituri.spec.in:
    	* morituri/Makefile.am:
    	* morituri/common/Makefile.am:
    	* morituri/common/logcommand.py:
    	* morituri/extern/Makefile.am:
    	* morituri/rip/Makefile.am:
    	* morituri/rip/__init__.py:
    	* morituri/rip/main.py:
    	* morituri/test/Makefile:
    	* morituri/test/Makefile.am:
    	* configure.ac (added):
    	* AUTHORS (added):
    	* morituri.spec.in (added):
    	* Makefile.am (added):
    	* morituri/test/Makefile.am (added):
    	* morituri/extern/Makefile.am (added):
    	* morituri/common/logcommand.py (added):
    	* morituri/common/Makefile.am (added):
    	* morituri/Makefile.am (added):
    	* morituri/rip (added):
    	* morituri/rip/__init__.py (added):
    	* morituri/rip/Makefile.am (added):
    	* morituri/rip/main.py (added):
    	* misc/Makefile.am (added):
    	* misc/morituri-uninstalled (added):
    	* autogen.sh (added):
    	* NEWS (added):
    	  Start autotooling.  Add a command-line application.

diff --git a/AUTHORS b/AUTHORS
new file mode 100644
index 0000000..36ff553
--- /dev/null
+++ b/AUTHORS
@@ -0,0 +1 @@
+Thomas Vander Stichele <thomas at apestaart dot org>
diff --git a/ChangeLog b/ChangeLog
index 5513a10..0d2217d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,43 @@
+2009-05-22  Thomas Vander Stichele  <thomas at apestaart dot org>
+
+	* AUTHORS:
+	* Makefile.am:
+	* NEWS:
+	* TODO:
+	* autogen.sh:
+	* configure.ac:
+	* examples/ARcalibrate.py:
+	* misc/Makefile.am:
+	* misc/morituri-uninstalled:
+	* morituri.spec.in:
+	* morituri/Makefile.am:
+	* morituri/common/Makefile.am:
+	* morituri/common/logcommand.py:
+	* morituri/extern/Makefile.am:
+	* morituri/rip/Makefile.am:
+	* morituri/rip/__init__.py:
+	* morituri/rip/main.py:
+	* morituri/test/Makefile:
+	* morituri/test/Makefile.am:
+	* configure.ac (added):
+	* AUTHORS (added):
+	* morituri.spec.in (added):
+	* Makefile.am (added):
+	* morituri/test/Makefile.am (added):
+	* morituri/extern/Makefile.am (added):
+	* morituri/common/logcommand.py (added):
+	* morituri/common/Makefile.am (added):
+	* morituri/Makefile.am (added):
+	* morituri/rip (added):
+	* morituri/rip/__init__.py (added):
+	* morituri/rip/Makefile.am (added):
+	* morituri/rip/main.py (added):
+	* misc/Makefile.am (added):
+	* misc/morituri-uninstalled (added):
+	* autogen.sh (added):
+	* NEWS (added):
+	  Start autotooling.  Add a command-line application.
+
 2009-05-16  Thomas Vander Stichele  <thomas at apestaart dot org>
 
 	* morituri/program/cdrdao.py:
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..0d42610
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,41 @@
+# version first -- they are parsed LTR and later options depend on automake 1.8
+AUTOMAKE_OPTIONS = 1.8 dist-bzip2 no-dist-gzip
+
+ACLOCAL_AMFLAGS = -I m4
+
+SUBDIRS = bin etc morituri doc m4 misc
+
+EXTRA_DIST = HACKING morituri.spec morituri.doap RELEASE
+
+check: pychecker check-python check-bash
+
+check-python:
+	trial morituri.test
+
+check-bash:
+	$(SHELL) $(top_srcdir)/morituri/test/test_bash_completion.sh $(top_builddir)/etc/bash_completion.d/morituri
+
+_trial_temp/coverage: $(top_srcdir)/morituri/*.py $(top_srcdir)/morituri/*/*.py
+	trial --coverage morituri.test
+
+coverage: _trial_temp/coverage
+	python misc/show-coverage.py `ls _trial_temp/coverage/morituri* | grep -v morituri.test | grep -v morituri.extern`
+
+clean-local:
+	@rm -rf _trial_temp
+
+PYCHECKER_WHITELIST = \
+	morituri/*.py \
+	morituri/*/*.py
+
+PYCHECKER_BLACKLIST = \
+	morituri/extern/asyncsub.py
+
+release: dist
+	make $(PACKAGE)-$(VERSION).tar.bz2.md5
+
+# generate md5 sum files
+%.md5: %
+	md5sum $< > $@
+
+include $(top_srcdir)/m4/pychecker.mk
diff --git a/morituri/__init__.py b/NEWS
similarity index 100%
copy from morituri/__init__.py
copy to NEWS
diff --git a/TODO b/TODO
index 5fce73e..56ac8a4 100644
--- a/TODO
+++ b/TODO
@@ -14,6 +14,11 @@ TODO:
 - cdrdao doesn't automatically save session 2 tracks to toc (like data track)
   so not a good candidate for getting a complete TOC and calculating cddb
   Instead, get session 9 to get all
+- check pregaps more than once, to see if results are consistent, or with
+  different methods
+- extra-cd with pregap like das capital: rip each session separately, then
+  possibly combine; in any case, none of the cdrdao read-toc commands reads
+  both the pregap and the data track at once
 
 Ladyhawke TOC:
 track:   1 lba:         0 (        0) 00:02:00 adr: 1 control: 0 mode: 0
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..c0e7a5a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -x
+
+# autopoint || exit 1
+aclocal -I m4 || exit 1
+# libtoolize --force || exit 1
+# autoheader || exit 1
+autoconf || exit 1
+automake -a || exit 1
+echo "./autogen.sh $@" > autoregen.sh
+chmod +x autoregen.sh
+./configure --enable-maintainer-mode $@
+
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..f7eda4d
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,61 @@
+dnl initialize autoconf
+dnl when going to/from release please remove/add the nano (fourth number)
+dnl releases only do Wall, cvs and prerelease does Werror too
+AC_INIT(morituri, 0.0.0.1,
+   http://thomas.apestaart.org/thomas/trac/newticket?component=morituri,
+   morituri)
+
+dnl initialize automake
+AM_INIT_AUTOMAKE
+
+dnl define PACKAGE_VERSION_* variables
+AS_VERSION
+
+AS_NANO
+
+dnl authors
+AC_SUBST_FILE(AUTHORS)
+AUTHORS=$srcdir/AUTHORS
+
+dnl AM_MAINTAINER_MODE only provides the option to configure to enable it
+AM_MAINTAINER_MODE
+
+dnl Add parameters for aclocal
+AC_SUBST(ACLOCAL_AMFLAGS, "-I m4")
+
+dnl check for python
+AS_PATH_PYTHON(2.3)
+
+dnl check for where to install our python stuff
+dnl PYTHONLIBDIR=`$PYTHON -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"`
+PYVER=[`$PYTHON -c "import sys ; print sys.version[:3]"`]
+PYTHONLIBDIR=\${libdir}/python$PYVER/site-packages
+AC_MSG_NOTICE(Installing python code in $PYTHONLIBDIR)
+AC_SUBST(PYTHONLIBDIR)
+
+dnl check for epydoc
+AC_CHECK_PROG(EPYDOC, epydoc, yes, no)
+AM_CONDITIONAL(HAVE_EPYDOC, test "x$EPYDOC" = "xyes")
+
+dnl check for pychecker
+AC_CHECK_PROG(PYCHECKER, pychecker, yes, no)
+AM_CONDITIONAL(HAVE_PYCHECKER, test "x$PYCHECKER" = "xyes")
+
+dnl output stuff
+AC_OUTPUT(
+Makefile
+bin/Makefile
+etc/Makefile
+etc/bash_completion.d/Makefile
+m4/Makefile
+morituri/Makefile
+morituri/rip/Makefile
+morituri/configure/Makefile
+morituri/configure/uninstalled.py
+morituri/configure/installed.py
+morituri/extern/Makefile
+morituri/test/Makefile
+doc/Makefile
+misc/Makefile
+morituri.spec
+)
diff --git a/examples/ARcalibrate.py b/examples/ARcalibrate.py
index f01b6eb..37cf603 100644
--- a/examples/ARcalibrate.py
+++ b/examples/ARcalibrate.py
@@ -134,6 +134,7 @@ def main(argv):
     except urllib2.HTTPError, e:
         if e.code == 404:
             print 'Album not found in AccurateRip database'
+            sys.exit(1)
         else:
             raise
 
diff --git a/misc/Makefile.am b/misc/Makefile.am
new file mode 100644
index 0000000..acdac29
--- /dev/null
+++ b/misc/Makefile.am
@@ -0,0 +1,5 @@
+EXTRA_DIST = \
+	pycheckerrc \
+	header.py \
+	moap-uninstalled \
+	show-coverage.py
diff --git a/misc/morituri-uninstalled b/misc/morituri-uninstalled
new file mode 100755
index 0000000..e3a0b77
--- /dev/null
+++ b/misc/morituri-uninstalled
@@ -0,0 +1,80 @@
+#!/bin/bash -i
+#
+# set up environment to use and develop uninstalled
+#
+# set up PATH, PYTHONPATH
+#
+# prefer uninstalled versions, but also put installed ones on the path
+#
+# symlink this script in a directory in your path (for example $HOME/bin)
+# to a name that reflects the version of your checkout
+
+# this script is run -i so that PS1 doesn't get cleared
+
+self=$0
+absolute=$self
+if test -L $absolute
+then
+  # find what the symlink points to
+  absolute=`stat $absolute -c %N -t | sed 's/^.* -> .//g' | sed 's/.$//g'`
+fi
+MISCDIR=`dirname $absolute`
+BASEDIR=`cd $MISCDIR/.. && pwd`
+
+# extract version from $0
+# if this script is called "...-head" then version will be "head"
+PROJECT=`basename $self | sed s/-.*//g`
+VERSION=`basename $self | sed s/.*-//g`
+
+options=
+
+# set up a bunch of paths
+export PATH=$BASEDIR/bin${PATH:+:$PATH}
+export PYTHONPATH=$BASEDIR${PYTHONPATH:+:$PYTHONPATH}
+
+# set up bash completion if we have it
+tmp=
+if echo $SHELL | grep bash > /dev/null
+then
+  if test -d $BASEDIR/etc/bash_completion.d
+  then
+    # we need to create our own temporary bashrc replacement from the user's
+    # and our completion stuff
+    tmp=`mktemp -t bashrc.XXXXXXXX`
+    if test -e $HOME/.bashrc
+    then
+      cat $HOME/.bashrc > $tmp
+    fi
+    cat $BASEDIR/etc/bash_completion.d/$PROJECT >> $tmp
+    SHELL_OPTIONS="--init-file $tmp"
+    options="(with bash completion)"
+  fi
+fi
+
+# if we got a command, run it, else start a shell
+if test ! -z "$1";
+then
+  $@
+  exit $?
+fi
+
+# set up prompt to help us remember we're in a subshell, cd to
+# the base directory and start $SHELL
+cd $BASEDIR
+shell=$SHELL
+if test "x$SHELL" == "x/bin/bash"
+then
+  # debian/ubuntu resets our PS1.  bastards.
+  if test -e /etc/debian_version
+  then
+    SHELL_OPTIONS="$SHELL_OPTIONS --noprofile"
+  fi
+fi
+echo Entering interactive $PROJECT shell $SHELL $options
+PS1="[$PROJECT-$VERSION] $PS1" $SHELL $SHELL_OPTIONS
+
+if test ! -z "$tmp"
+then
+  rm $tmp
+fi
+echo Thank you for using $PROJECT.
diff --git a/morituri.spec.in b/morituri.spec.in
new file mode 100644
index 0000000..bdabb56
--- /dev/null
+++ b/morituri.spec.in
@@ -0,0 +1,42 @@
+%define pyver %(%{__python} -c "import sys; print sys.version[:3]")
+
+Name:           morituri
+Version:        @PACKAGE_VERSION@
+Release:        @PACKAGE_VERSION_RELEASE@%{?dist}
+Summary:        CD ripper
+Source:         %{name}-%{version}.tar.bz2
+URL:            http://thomas.apestaart.org/thomas/trac/
+License:        GPL
+Group:          Applications/Archiving
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:      noarch
+
+%description
+Morituri is a CD ripper.
+
+%prep
+
+%setup -q
+%configure --sysconfdir=%{_sysconfdir}
+
+%build
+
+%install
+rm -rf $RPM_BUILD_ROOT
+make DESTDIR=$RPM_BUILD_ROOT install
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(-,root,root)
+%doc README morituri.doap NEWS RELEASE ChangeLog
+%{_bindir}/rip
+%{_mandir}/man1/rip.1*
+%{_libdir}/python*.*/site-packages/morituri
+%{_sysconfdir}/bash_completion.d/morituri
+
+%changelog
+* Wed May 20 2009 Thomas Vander Stichele <thomas at apestaart dot org>
+- created package
diff --git a/morituri/Makefile.am b/morituri/Makefile.am
new file mode 100644
index 0000000..1d814f4
--- /dev/null
+++ b/morituri/Makefile.am
@@ -0,0 +1,9 @@
+CLEANFILES = *.py{c,o}
+
+morituridir = $(PYTHONLIBDIR)/morituri
+
+morituri_PYTHON = \
+	__init__.py \
+	main.py
+
+SUBDIRS = extern rip test
diff --git a/morituri/common/Makefile.am b/morituri/common/Makefile.am
new file mode 100644
index 0000000..12270a0
--- /dev/null
+++ b/morituri/common/Makefile.am
@@ -0,0 +1,12 @@
+CLEANFILES = *.py{c,o}
+
+morituridir = $(PYTHONLIBDIR)/morituri/common
+
+morituri_PYTHON = \
+	__init__.py \
+	checksum.py \
+	common.py \
+	logcommand.py \
+	renamer.py \
+	task.py \
+	taskgtk.py
diff --git a/morituri/common/log.py b/morituri/common/logcommand.py
similarity index 59%
copy from morituri/common/log.py
copy to morituri/common/logcommand.py
index f6b40d0..ce6a3a2 100644
--- a/morituri/common/log.py
+++ b/morituri/common/logcommand.py
@@ -1,4 +1,4 @@
-# -*- Mode: Python; test-case-name: morituri.test.test_common_checksum -*-
+# -*- Mode: Python -*-
 # vi:si:et:sw=4:sts=4:ts=4
 
 # Morituri - for those about to RIP
@@ -21,12 +21,18 @@
 # along with morituri.  If not, see <http://www.gnu.org/licenses/>.
 
 """
-Logging
+Logging Command.
 """
 
-from morituri.extern.log import log as externlog
-from morituri.extern.log.log import *
+from morituri.extern.command import command
+from morituri.common import log
 
-def init():
-    externlog.init('RIP_DEBUG')
-    externlog.setPackageScrubList('morituri')
+class LogCommand(command.Command, log.Loggable):
+    def __init__(self, parentCommand=None, **kwargs):
+        command.Command.__init__(self, parentCommand, **kwargs)
+        self.logCategory = self.name
+
+    # command.Command has a fake debug method, so choose the right one
+    def debug(self, format, *args):
+        kwargs = {}
+        log.Loggable.doLog(self, log.DEBUG, -2, format, *args, **kwargs)
diff --git a/morituri/extern/Makefile.am b/morituri/extern/Makefile.am
new file mode 100644
index 0000000..f695f8c
--- /dev/null
+++ b/morituri/extern/Makefile.am
@@ -0,0 +1,20 @@
+CLEANFILES = *.py{c,o} command/*.py{c,o} log/*.py{c,o}
+
+moapdir = $(PYTHONLIBDIR)/moap/extern
+
+moap_PYTHON = \
+	__init__.py
+
+logdir = $(PYTHONLIBDIR)/moap/extern/log
+
+log_PYTHON = \
+	log/__init__.py \
+	log/log.py
+
+commanddir = $(PYTHONLIBDIR)/moap/extern/command
+
+command_PYTHON = \
+	command/__init__.py \
+	command/command.py
+
+EXTRA_DIST = log/test_log.py command/test_command.py
diff --git a/morituri/rip/Makefile.am b/morituri/rip/Makefile.am
new file mode 100644
index 0000000..760ae03
--- /dev/null
+++ b/morituri/rip/Makefile.am
@@ -0,0 +1,7 @@
+CLEANFILES = *.py{c,o}
+
+morituridir = $(PYTHONLIBDIR)/morituri/rip
+
+morituri_PYTHON = \
+	__init__.py \
+	main.py
diff --git a/morituri/__init__.py b/morituri/rip/__init__.py
similarity index 100%
copy from morituri/__init__.py
copy to morituri/rip/__init__.py
diff --git a/morituri/rip/main.py b/morituri/rip/main.py
new file mode 100644
index 0000000..d2b6766
--- /dev/null
+++ b/morituri/rip/main.py
@@ -0,0 +1,47 @@
+# -*- Mode: Python -*-
+# vi:si:et:sw=4:sts=4:ts=4
+
+import sys
+
+from morituri.common import log, logcommand
+
+def main(argv):
+    c = Rip()
+    try:
+        ret = c.parse(argv)
+    except SystemError, e:
+        sys.stderr.write('rip: error: %s\n' % e.args)
+        return 255
+    except ImportError, e:
+        # FIXME: decide how to handle
+        raise
+        deps.handleImportError(e)
+        ret = -1
+
+    if ret is None:
+        return 0
+    return ret
+
+class Rip(logcommand.LogCommand):
+    usage = "%prog %command"
+    description = """Rip rips CD's.
+
+Rip gives you a tree of subcommands to work with.
+You can get help on subcommands by using the -h option to the subcommand.
+"""
+
+    subCommandClasses = []
+
+    def addOptions(self):
+        # FIXME: is this the right place ?
+        log.init()
+
+        self.parser.add_option('-v', '--version',
+                          action="store_true", dest="version",
+                          help="show version information")
+
+    def handleOptions(self, options):
+        if options.version:
+            from morituri.configure import configure
+            print "rip %s" % configure.version
+            sys.exit(0)
diff --git a/morituri/test/Makefile b/morituri/test/Makefile
index 9548788..0b2aaae 100644
--- a/morituri/test/Makefile
+++ b/morituri/test/Makefile
@@ -1,2 +1,310 @@
+# Makefile.in generated by automake 1.10.1 from Makefile.am.
+# morituri/test/Makefile.  Generated from Makefile.in by configure.
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+
+
+pkgdatadir = $(datadir)/morituri
+pkglibdir = $(libdir)/morituri
+pkgincludedir = $(includedir)/morituri
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+subdir = morituri/test
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/m4/as-python.m4 \
+	$(top_srcdir)/m4/as-version.m4 $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_CLEAN_FILES =
+SOURCES =
+DIST_SOURCES =
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = ${SHELL} /home/thomas/svn/src/morituri/trunk/missing --run aclocal-1.10
+ACLOCAL_AMFLAGS = -I m4
+AMTAR = ${SHELL} /home/thomas/svn/src/morituri/trunk/missing --run tar
+AUTOCONF = ${SHELL} /home/thomas/svn/src/morituri/trunk/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/thomas/svn/src/morituri/trunk/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/thomas/svn/src/morituri/trunk/missing --run automake-1.10
+AWK = gawk
+CYGPATH_W = echo
+DEFS = -DPACKAGE_NAME=\"morituri\" -DPACKAGE_TARNAME=\"morituri\" -DPACKAGE_VERSION=\"0.0.0.1\" -DPACKAGE_STRING=\"morituri\ 0.0.0.1\" -DPACKAGE_BUGREPORT=\"http://thomas.apestaart.org/thomas/trac/newticket\?component=morituri\" -DPACKAGE=\"morituri\" -DVERSION=\"0.0.0.1\"
+ECHO_C = 
+ECHO_N = -n
+ECHO_T = 
+EPYDOC = yes
+INSTALL = /usr/bin/install -c
+INSTALL_DATA = ${INSTALL} -m 644
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_SCRIPT = ${INSTALL}
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
+LIBOBJS = 
+LIBS = 
+LTLIBOBJS = 
+MAINT = 
+MAKEINFO = ${SHELL} /home/thomas/svn/src/morituri/trunk/missing --run makeinfo
+MKDIR_P = /bin/mkdir -p
+PACKAGE = morituri
+PACKAGE_BUGREPORT = http://thomas.apestaart.org/thomas/trac/newticket?component=morituri
+PACKAGE_NAME = morituri
+PACKAGE_STRING = morituri 0.0.0.1
+PACKAGE_TARNAME = morituri
+PACKAGE_VERSION = 0.0.0.1
+PACKAGE_VERSION_MAJOR = 0
+PACKAGE_VERSION_MICRO = 0
+PACKAGE_VERSION_MINOR = 0
+PACKAGE_VERSION_NANO = 1
+PACKAGE_VERSION_RELEASE = 0.20090520.223152
+PATH_SEPARATOR = :
+PYCHECKER = yes
+PYTHON = /usr/bin/python
+PYTHONLIBDIR = ${libdir}/python2.5/site-packages
+PYTHON_EXEC_PREFIX = ${exec_prefix}
+PYTHON_PLATFORM = linux2
+PYTHON_PREFIX = ${prefix}
+PYTHON_VERSION = 2.5
+SET_MAKE = 
+SHELL = /bin/sh
+STRIP = 
+VERSION = 0.0.0.1
+abs_builddir = /home/thomas/svn/src/morituri/trunk/morituri/test
+abs_srcdir = /home/thomas/svn/src/morituri/trunk/morituri/test
+abs_top_builddir = /home/thomas/svn/src/morituri/trunk
+abs_top_srcdir = /home/thomas/svn/src/morituri/trunk
+am__leading_dot = .
+am__tar = ${AMTAR} chof - "$$tardir"
+am__untar = ${AMTAR} xf -
+bindir = ${exec_prefix}/bin
+build_alias = 
+builddir = .
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
+dvidir = ${docdir}
+exec_prefix = ${prefix}
+host_alias = 
+htmldir = ${docdir}
+includedir = ${prefix}/include
+infodir = ${datarootdir}/info
+install_sh = $(SHELL) /home/thomas/svn/src/morituri/trunk/install-sh
+libdir = ${exec_prefix}/lib
+libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
+localstatedir = ${prefix}/var
+mandir = ${datarootdir}/man
+mkdir_p = /bin/mkdir -p
+oldincludedir = /usr/include
+pdfdir = ${docdir}
+pkgpyexecdir = ${pyexecdir}/morituri
+pkgpythondir = ${pythondir}/morituri
+prefix = /usr/local
+program_transform_name = s,x,x,
+psdir = ${docdir}
+pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
+pythondir = ${prefix}/lib/python2.5/site-packages
+sbindir = ${exec_prefix}/sbin
+sharedstatedir = ${prefix}/com
+srcdir = .
+sysconfdir = ${prefix}/etc
+target_alias = 
+top_builddir = ../..
+top_srcdir = ../..
+CLEANFILES = *.py{c,o}
+EXTRA_DIST = \
+	__init__.py \
+	common.py
+
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+		&& exit 0; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  morituri/test/Makefile'; \
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --gnu  morituri/test/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+check: check-am
+all-am: Makefile
+installdirs:
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-dvi: install-dvi-am
+
+install-exec-am:
+
+install-html: install-html-am
+
+install-info: install-info-am
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am:
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic distclean \
+	distclean-generic distdir dvi dvi-am html html-am info info-am \
+	install install-am install-data install-data-am install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-pdf install-pdf-am install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am
+
+
+# re-generation of test files when needed
+regenerate: track.flac
+
+%.regenerate:
+	rm $*
+	make $*
+
 track.flac:
 	gst-launch audiotestsrc num-buffers=10 samplesperbuffer=588 ! audioconvert ! audio/x-raw-int,channels=2,width=16,height=16,rate=44100 ! flacenc ! filesink location=track.flac
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/morituri/test/Makefile b/morituri/test/Makefile.am
similarity index 53%
copy from morituri/test/Makefile
copy to morituri/test/Makefile.am
index 9548788..d65b231 100644
--- a/morituri/test/Makefile
+++ b/morituri/test/Makefile.am
@@ -1,2 +1,16 @@
+CLEANFILES = *.py{c,o}
+
+EXTRA_DIST = \
+	__init__.py \
+	common.py
+
+# re-generation of test files when needed
+regenerate: track.flac
+
+%.regenerate:
+	rm $*
+	make $*
+
+
 track.flac:
 	gst-launch audiotestsrc num-buffers=10 samplesperbuffer=588 ! audioconvert ! audio/x-raw-int,channels=2,width=16,height=16,rate=44100 ! flacenc ! filesink location=track.flac

-- 
morituri packaging



More information about the pkg-multimedia-commits mailing list